db-derby-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew McIntyre" <mcintyr...@gmail.com>
Subject Re: Apache Derby with Hibernate3 (more specificly GRAILS)
Date Tue, 11 Jul 2006 04:55:31 GMT
On 7/10/06, Lance Shaw <lanceshaw25@hotmail.com> wrote:
> Hello,
>
> I'm tring to use Derby with GRAILS which uses Hibernate3.  When I try to
> start the application using 'grails run-app' I get the following error:
>
> org.codehaus.groovy.grails.orm.hibernate.exceptions.CouldNotDetermineHibernateDialectException:
> Could not determine Hibernate dialect for database name [Apache Derby]!]
>
> Anyone know if there are dialect classes available for Derby to work with
> Hibernate3?

Hi Lance,

There is a Hibernate dialect class attached to this Hibernate JIRA issue:

http://opensource.atlassian.com/projects/hibernate/browse/HB-1224

>From the comments there, it appears that the class should be in
Hibernate 3.0. There is also a GRAILS JIRA issue that seems to
correspond to the error you are receiving:

http://jira.codehaus.org/browse/GRAILS-129

which, from the comments there, appears to have been fixed for Grail
.02 on May 31, 2006. So, if you are using GRAILS .01, this is probably
the issue you are hitting. You may want to check with the GRAILS
project to see if this is in fact the issue you are encountering.

cheers,
andrew

Mime
View raw message